# Delete selected messages in mailbox by GUID

This function marks the selected mailbox's messages as deleted.

Endpoint: GET /Mailboxes/expunge_messages_for_mailbox_guid
Version: 11.136.0.19
Security: BasicAuth

## Query parameters:

  - `account` (any, required)
    The email account's name.

  - `mailbox_guid` (string, required)
    The mailbox's globally unique identifier (GUID).

Use the Mailboxes::get_mailbox_status_list function to list possible values for the mailbox_guid parameter.
    Example: "2550860f0c58d158c92a000044f0d230"

  - `query` (string, required)
    The query to select which messages you wish to remove from the mailbox.
    Example: "savedbefore 52w"

## Response 200 fields (application/json):

  - `apiversion` (integer)
    The version of the API.
    Example: 3

  - `func` (string)
    The name of the method called.
    Example: "expunge_messages_for_mailbox_guid"

  - `module` (string)
    The name of the module called.
    Example: "Mailboxes"

  - `result` (object)

  - `result.data` (object)

  - `result.errors` (array,null)
    List of errors if the API failed.

  - `result.messages` (array,null)
    List of messages generated by the API.

  - `result.metadata` (object)

  - `result.status` (integer)
    - 1 - Success
- 0 - Failed: Check the errors field for more details.
    Enum: 0, 1

  - `result.warnings` (array,null)
    List of warnings generated by the API. Warnings describe non-critical failures or other problematic conditions noted while running a API.


